Bug 310801 - Register backing store bug.
Register backing store bug.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.0
ia64 Linux
low Severity low
: ---
: ---
Assigned To: Luming Yu
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-28 09:00 EDT by Andrew B
Modified: 2013-08-05 21:43 EDT (History)
5 users (show)

See Also:
Fixed In Version: RHBA-2008-0314
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 10:56:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Register backing store patch (1.26 KB, patch)
2007-09-28 09:00 EDT, Andrew B
no flags Details | Diff

  None (edit)
Description Andrew B 2007-09-28 09:00:51 EDT
Description of problem:

A bug in the register backing store code can interact badly with the address
space randomisation feature to cause applications to seg-fault.

This is fixed by the attached patch, which has already been submitted back to
the mainline kernel and is currently included in the 2.6.23-rc8 prepatch.

Version-Release number of selected component (if applicable):

Any IA64 Linux RH version could be effected, though it's unlikely that this
issue will be noticed until the address space randomisation is turned on.


How reproducible:

This problem is always reproducible for me on our product, but I've not figured
out exactly why we trigger the bug and other applications don't yet.

Steps to Reproduce:

So far I've not been unable to recreate this in a small, standalone example.
  
Actual results:

N/A

Expected results:

N/A

Additional info:
Comment 1 Andrew B 2007-09-28 09:00:51 EDT
Created attachment 210261 [details]
Register backing store patch
Comment 2 RHEL Product and Program Management 2007-11-09 06:45:18 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Don Zickus 2007-12-14 13:34:19 EST
in 2.6.18-60.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 7 errata-xmlrpc 2008-05-21 10:56:47 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0314.html

Note You need to log in before you can comment on or make changes to this bug.